<?xml version="1.0" encoding="UTF-8"?>
<!-- START NON-TRANSLATABLE -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:cm="http://www.ibm.com/xmlns/prod/sw/context-menu/1.0"
    xmlns:base="http://www.ibm.com/xmlns/prod/sw/context-menu/1.0">    
	<xsl:output method="xml" indent="yes"/>
                                                           
	<!--  this template injects iconClass attributes into the menu items -->    
	<!--  it also defines the specialized visibility provider used for the action if any -->       
    <xsl:template match="cm:contextMenuItem">   
 
 		<!--  here we add any items that should preceed the current items -->
    	<xsl:if test="@id='resize'">  
    	    <!--  this template adds the 'sendWidget' item preceeding the resize item -->
    	    <xsl:call-template name="createSendWidgetMenuItem"/>
    	</xsl:if>	     		    	
    	
    	<!--  here we augment the current items if needed -->
    	<xsl:copy>     	
    	<xsl:choose>    	    	   
    	   <xsl:when test="@id='editSetting'">    	       
     		    <xsl:attribute name="iconClass">configureIcon</xsl:attribute>
   	    		<xsl:apply-templates select="child::node() | @*">
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates> 
    	   </xsl:when>
    	   <xsl:when test="@id='renameWidget'">
	    		<xsl:attribute name="iconClass">renameIcon</xsl:attribute>
	    		<xsl:apply-templates select="child::node() | @*">
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates> 	     	   
    	   </xsl:when>    	   
    	   <xsl:when test="@id='skins'">    	       
   	    		<xsl:apply-templates select="child::node() | @*">
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates> 
    	   </xsl:when>
    	   <xsl:when test="@id='editWire'">
    	  		<xsl:attribute name="iconClass">editWireIcon</xsl:attribute>
    		    <xsl:apply-templates select="child::node() | @*">
    		    	<xsl:with-param name="actionHandlerValue">com.ibm.bspace.common.util.widget.BSpaceExtension.openWiring</xsl:with-param>    		    
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates>  		      
    	   </xsl:when>
    	   <xsl:when test="@id='viewWireGraph'">
    		    <xsl:attribute name="iconClass">viewWiringGraphIcon</xsl:attribute>  
   	    		<xsl:apply-templates select="child::node() | @*">
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates>  		        	
    	   </xsl:when>
    	   <xsl:when test="@id='resize'">    	       
    		    <xsl:apply-templates select="child::node() | @*">
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isResizeMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates>  		      
    	   </xsl:when>
    	   <xsl:when test="@id='move'">    	       
    		    <xsl:apply-templates select="child::node() | @*">
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isMoveMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates>  		      
    	   </xsl:when>
    	   <xsl:when test="@id='hideOrShow'">
    		    <xsl:attribute name="iconClass">convertToHiddenIcon</xsl:attribute>  
   	    		<xsl:apply-templates select="child::node() | @*">
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isHideOrShowMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates>       		    
    	   </xsl:when>
    	   <xsl:when test="@id='deleteWidget'">
    		    <xsl:attribute name="iconClass">deleteWidgetIcon</xsl:attribute>
    		    <xsl:apply-templates select="child::node() | @*">
   	    			<xsl:with-param name="visibilityProviderValue">com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</xsl:with-param>
   	    		</xsl:apply-templates>     
    	   </xsl:when>     	        	       
    	   <xsl:otherwise>
    	    	<xsl:apply-templates select="child::node() | @*" /> 
    	   </xsl:otherwise>	       	       	       	       	
    	</xsl:choose>    	    	    	    	    	       	    	      	 
    	</xsl:copy>  	  
    </xsl:template>  
    
    <!--  this template gets used to filter out the 'old' visibility-provider elements -->
    <xsl:template match="cm:visibility-provider">
    	<xsl:param name="visibilityProviderValue"></xsl:param>
    	<xsl:if test="not($visibilityProviderValue)">    
    		<xsl:copy-of select="."/>		        	
    	</xsl:if>
    </xsl:template>
    
  	<!--  this template is used to insert a 'new' visibility-provider element -->    
    <xsl:template match="cm:action-handler">    	
        <xsl:param name="visibilityProviderValue"></xsl:param>
        <xsl:param name="actionHandlerValue"></xsl:param>      
        <xsl:choose>
        	<xsl:when test="$actionHandlerValue">
        		<cm:action-handler><xsl:value-of select="$actionHandlerValue"/></cm:action-handler> 
        	</xsl:when>
        	<xsl:otherwise>
        		<xsl:copy-of select="."/>
        	</xsl:otherwise>
        </xsl:choose>  		 
    	<xsl:if test="$visibilityProviderValue">
    		<xsl:text>
			</xsl:text>   
    		<cm:visibility-provider><xsl:value-of select="$visibilityProviderValue"/></cm:visibility-provider>
    	</xsl:if>   
    </xsl:template>
            
    <!--  this template used to add a visibility provider to the separator that occurs after 'skins' menu item -->
    <xsl:template match="cm:contextMenuItem[@separator='true'][preceding-sibling::*/@id='skins']">    	   
    	<cm:contextMenuItem separator="true">
    		<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</cm:visibility-provider>
    	</cm:contextMenuItem>		        	    
    </xsl:template>
    
    <!--  this template used to add a visibility provider to the separator that occurs after 'viewWireGraph' menu item -->
    <xsl:template match="cm:contextMenuItem[@separator='true'][preceding-sibling::*/@id='viewWireGraph']">    	   
    	<cm:contextMenuItem separator="true">
    		<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</cm:visibility-provider>
    	</cm:contextMenuItem>		        	    
    </xsl:template>
    
    
    <!--  this template is called explicitly from 'match=cm:contextMenu' to add the 'sendWidget' item preceeding the resize item -->
	<xsl:template name="createSendWidgetMenuItem">
		<cm:contextMenuItem id="&#x7B;{com.ibm.bspace&#x7D;}messageSWidget">			
			<cm:title>
			    <xsl:comment>@widgetSkin.sendWidget@</xsl:comment>
			    <!-- END NON-TRANSLATABLE -->
				<base:nls-string xml:lang="en">Send Widget</base:nls-string>
		    	<!-- START NON-TRANSLATABLE -->				
			</cm:title>
			<cm:description>description</cm:description>
			<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.isSendWidgetVisible</cm:visibility-provider>
			<cm:action-handler>com.ibm.bspace.common.util.widget.SendWidgetHelper.sendWidgetHandler</cm:action-handler>
		</cm:contextMenuItem>
		<cm:contextMenuItem separator="true">
			<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.isSendWidgetVisible</cm:visibility-provider>
		</cm:contextMenuItem>
	</xsl:template>		
	
	<!--  this template adds the 'refresh' item after the 'move' item-->
	<xsl:template match="cm:contextMenuItem[@separator][preceding-sibling::*/@id='move']">
		<cm:contextMenuItem iconClass="refreshWidgetIcon" id="refresh">			
			<cm:title>
			    <xsl:comment>@widgetSkin.refresh@</xsl:comment>
			   	<!-- END NON-TRANSLATABLE -->	
				<base:nls-string xml:lang="en">Refresh</base:nls-string>
		    	<!-- START NON-TRANSLATABLE -->					
			</cm:title>
			<cm:description>Refresh widget</cm:description>
			<cm:visibility-provider>com.ibm.mm.builder.utils.iwidgetUtil.isWidgetVisible</cm:visibility-provider>
			<cm:action-handler>com.ibm.bspace.common.util.widget.BSpaceExtension.refreshWidget</cm:action-handler>
		</cm:contextMenuItem>
		<xsl:copy>
			<xsl:apply-templates select="child::node() | @*" />
		</xsl:copy>
	</xsl:template>		
	
	<!--  this template used to add a visibility provider to the separator that occurs after 'refresh' menu item -->
    <xsl:template match="cm:contextMenuItem[@separator='true'][preceding-sibling::*/@id='refresh']">    	   
    	<cm:contextMenuItem separator="true">
    		<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.isMenuItemVisible</cm:visibility-provider>
    	</cm:contextMenuItem>		        	    
    </xsl:template>
    
	
	<!--  this template is used to insert items at the end of the widgetSkin menu -->     
    <xsl:template match="cm:menu[@definition='ContextMenu.widgetSkin']">
    	  <cm:menu definition="ContextMenu.widgetSkin">
    	  <xsl:apply-templates select="node() | @* "/>
    	  <cm:contextMenuItem iconClass="widgetHelpIcon" id="help">			
			<cm:title>			
			    <xsl:comment>@widgetSkin.help@</xsl:comment>
			   	<!-- END NON-TRANSLATABLE -->	
				<base:nls-string xml:lang="en">Help</base:nls-string>
		    	<!-- START NON-TRANSLATABLE -->					
			</cm:title>
			<cm:description>Widget Help</cm:description>
			<cm:visibility-provider>com.ibm.mm.builder.utils.iwidgetUtil.isWidgetVisible</cm:visibility-provider>
			<cm:action-handler>com.ibm.bspace.common.util.widget.BSpaceExtension.widgetHelp</cm:action-handler>
		</cm:contextMenuItem>
		</cm:menu>
    </xsl:template>	
    
      	
    <!--  this template removes the 'Add Subpage' menu item preceeding the resize item -->	
	<xsl:template match="cm:contextMenuItem[@id='smAddPage']">
		<!-- here we intentionally leave this template content blank -->    
	</xsl:template>
	
	<!--  this template removes the 'Share Page' menu item from the 'page' menu -->
	<xsl:template match="cm:contextMenuItem[@id='sharePage'][parent::*/@definition='ContextMenu.page']">
		<!-- here we intentionally leave this template content blank -->    
	</xsl:template>	
	
	<!--  this template removes the 'View Wiring Graph' menu item -->
	<xsl:template match="cm:contextMenuItem[@id='viewWireGraph']">
		<!-- here we intentionally leave this template content blank -->    
	</xsl:template>		
	
	
	<!--  this template replaces the 'Set as Home Space' menu item --> 
	<xsl:template match="cm:contextMenuItem[cm:action-handler = 'com.ibm.mm.builder.commonActions.makeHomeSpace']">
		<cm:contextMenuItem> 
			<cm:title>
				<!--@SpaceManager.Space.setAsHome@-->
				<!-- END NON-TRANSLATABLE -->	
				<base:nls-string xml:lang="en">Set as Home</base:nls-string>
		    	<!-- START NON-TRANSLATABLE -->					
			</cm:title> 
			<cm:description>Set this space as the home</cm:description> 
			<cm:action-handler>com.ibm.bspace.common.util.widget.BSpaceExtension.setAsHomeSpace</cm:action-handler>  
            <cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.smCanSetAsHomeSpace</cm:visibility-provider> 
		</cm:contextMenuItem> 
	</xsl:template>	
	
	<!--  this template replaces the 'skins' menu item with 'Show/Hide Widget Trim' menu items --> 	
	<xsl:template match="cm:contextMenuItem[@id='skins']">
		<cm:contextMenuItem id="showWidgetTrim" ordinal="501"> 
			<cm:title>
				<!-- END NON-TRANSLATABLE -->	
				<base:nls-string xml:lang="en">Show Border</base:nls-string>
				<!-- START NON-TRANSLATABLE -->	
			</cm:title> 
			<cm:description>description</cm:description> 
			<cm:state-provider/> 
			<cm:action-handler>com.ibm.bspace.common.util.widget.BSpaceExtension.showWidgetTrim</cm:action-handler>
			<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.isShowWidgetTrimMenuItemVisible</cm:visibility-provider> 
		</cm:contextMenuItem>	
		<cm:contextMenuItem id="hideWidgetTrim" ordinal="501"> 
			<cm:title>
				<!-- END NON-TRANSLATABLE -->	
				<base:nls-string xml:lang="en">Hide Border</base:nls-string>
				<!-- START NON-TRANSLATABLE -->	
			</cm:title> 
			<cm:description>description</cm:description> 
			<cm:state-provider/> 
			<cm:action-handler>com.ibm.bspace.common.util.widget.BSpaceExtension.hideWidgetTrim</cm:action-handler>			
			<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.isHideWidgetTrimMenuItemVisible</cm:visibility-provider> 
		</cm:contextMenuItem>		
    </xsl:template>
    			

	<!--  this template removes the 'Remove as Home Space' menu item -->
	<xsl:template match="cm:contextMenuItem[cm:action-handler/text() = 'com.ibm.mm.builder.commonActions.unmakeHomeSpace']">
		<!-- here we intentionally leave this template content blank -->    
	</xsl:template>		
						
						        
	<!--  this template fixes a quirk in gen'd xml where a new line doesn't appear after the xml declaration-->                                                             
	<xsl:template match="/">
		<xsl:copy>      
		    <xsl:text>
  </xsl:text>
  			<xsl:comment>===============================================================================</xsl:comment><xsl:text>
  </xsl:text>  			
  			<xsl:comment>= This file has been generated via an XSL transform! DO NOT MODIFY THIS FILE! =</xsl:comment><xsl:text>
  </xsl:text>  	
  			<xsl:comment>= To make changes to contextmenus change the file 'augmentContextMenu.xsl'.   =</xsl:comment><xsl:text>
  </xsl:text>   		
  			<xsl:comment>===============================================================================</xsl:comment><xsl:text>
  </xsl:text>  			  			
	   	    <xsl:apply-templates select="child::node() | @*" />
	   	</xsl:copy>  	
	</xsl:template>   
	                  
    <!--  this is a standard 'identity' template that simply copies a node -->
    <!--  that is not matched more specifically by another template        -->  
	<xsl:template match="node() | @*">
	  <xsl:copy>
	    <xsl:apply-templates select="node() | @* "/>
	  </xsl:copy>
	</xsl:template>
	
	<!-- jmaner: Override the Tab page menu label  -->
	<xsl:template match="cm:title[ancestor::*/@id='reorderPage']"> 	       
   			<cm:title>
				<!--@page.move@-->
				<!-- END NON-TRANSLATABLE -->	
				<base:nls-string xml:lang="en">Reorder Page...</base:nls-string>
				<!-- START NON-TRANSLATABLE -->	
			</cm:title>  
    </xsl:template> 
    
    <!-- jmaner: Override the Space Manager page menu label  -->
	<xsl:template match="cm:title[ancestor::*/@id='smMovePage']"> 	       
   			<cm:title>
				<!--@SpaceManager.Page.move@-->
				<!-- END NON-TRANSLATABLE -->	
				<base:nls-string xml:lang="en">Reorder Page...</base:nls-string>
				<!-- START NON-TRANSLATABLE -->	
			</cm:title>  
    </xsl:template> 
	
	<!-- jmaner: Override the smMovePage action-handler  -->
	<xsl:template match="cm:action-handler[ancestor::*/@id='smMovePage']"> 	       
   		<cm:action-handler>com.ibm.bspace.common.util.widget.BSpaceExtension.showReorderPageDialog</cm:action-handler>
    </xsl:template>
	
	<!-- jmaner: Override the smPublishSpace visibility-provider  -->
	<xsl:template match="cm:visibility-provider[ancestor::*/@id='smPublishSpace']"> 	       
   		<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.smCanPublishAsTemplate</cm:visibility-provider>
    </xsl:template> 
    
    <!-- jmaner: Override the smSaveAsTemplate visibility-provider  -->
	<xsl:template match="cm:visibility-provider[ancestor::*/@id='smSaveAsTemplate']"> 	       
   		<cm:visibility-provider>com.ibm.bspace.common.util.widget.BSpaceExtension.smCanSaveAsTemplate</cm:visibility-provider>
    </xsl:template> 
	
	<!--  jmaner: Add Template Manager menu before moreActions menu   --> 
	<xsl:template match="cm:menu[@definition='ContextMenu.moreActions']"> 
	<cm:menu definition="ContextMenu.TemplateManager.Template"> 
		<cm:contextMenuItem> 
			<cm:title>
				<!--@TemplateManager.Template.export@-->
				<!-- END NON-TRANSLATABLE -->	
				<base:nls-string xml:lang="en">Export...</base:nls-string>
				<!-- START NON-TRANSLATABLE -->	
			</cm:title> 
			<cm:description>Export this space template</cm:description> 
			<cm:action-handler>com.ibm.bspace.templatemanager.TemplateManagerActions.template.exportTemplate</cm:action-handler> 
		</cm:contextMenuItem>
		<cm:contextMenuItem separator="true"> 
		</cm:contextMenuItem> 
		<cm:contextMenuItem> 
			<cm:title>
				<!--@TemplateManager.Template.delete@-->
				<!-- END NON-TRANSLATABLE -->					
				<base:nls-string xml:lang="en">Delete</base:nls-string>
				<!-- START NON-TRANSLATABLE -->					
			</cm:title> 
			<cm:description>Delete this space template</cm:description> 
			<cm:action-handler>com.ibm.bspace.templatemanager.TemplateManagerActions.template.deleteTemplate</cm:action-handler>  
		</cm:contextMenuItem> 
	</cm:menu>
	<xsl:copy>
		<xsl:apply-templates select="node() | @*" />
	</xsl:copy>
	</xsl:template>  
	
	
</xsl:stylesheet>
