-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2009.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Script file to create tablespaces, and schema (tables) for DB2 UDB 
--
-- ------------------------------------------------------------------------------------
--
-- Run the script in the DB2 command line processor with admin privileges.
--
-- Customize the following variables before running this script:
-- @DB_NAME@ = the database name, e.g. BSPACE
-- @SCHEMA@ = the schema name, e.g. BSPACE
-- @TSPRE@ = the prefix for tablespace names, e.g. BSP
-- @TSDIR@ = the directory or filename prefix for tablespace datafiles, e.g. BSP
-- USAGE:   db2 -tf createTables_BusinessSpace.sql
--
-- ------------------------------------------------------------------------------------

------------- bufferpool for regular tablespaces
CREATE BUFFERPOOL BP32K_BSP IMMEDIATE SIZE 250 PAGESIZE 32 K;

------------- bufferpool for temp tablespace
CREATE BUFFERPOOL TMPBP32K_BSP IMMEDIATE SIZE 250 PAGESIZE 32 K;

------------- tablespace for DataServices (DS) 
CREATE REGULAR TABLESPACE @TSPRE@BSPACE PAGESIZE 32 K  
MANAGED BY SYSTEM  USING ('@TSDIR@BS' ) 
EXTENTSIZE 8 OVERHEAD 10.5 PREFETCHSIZE 0 TRANSFERRATE 0.14 
BUFFERPOOL BP32K_BSP DROPPED TABLE RECOVERY OFF;

------------- tablespace (temp) for sorts/joins
CREATE SYSTEM TEMPORARY TABLESPACE @TSPRE@TMPT_BS PAGESIZE 32 K  
MANAGED BY SYSTEM USING ('@TSDIR@TMPT_BS' ) 
EXTENTSIZE 8 OVERHEAD 10.5 PREFETCHSIZE 32 TRANSFERRATE 0.14 
BUFFERPOOL TMPBP32K_BSP;

CREATE TABLE @SCHEMA@.BSP_USER_DATA_T (
	  USER_DN                 VARCHAR(1000) NOT NULL ,
	  EXTENSION               BLOB(10K) ,
	  PRIMARY KEY ( USER_DN )
) IN @TSPRE@BSPACE;

GRANT INSERT,UPDATE,SELECT,DELETE ON @SCHEMA@.BSP_USER_DATA_T TO USER @DB_USER@;
