-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2007, 2009.  All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Script file to create tables for Business Space 6.2
--
-- Customize the following variables before running this script: 
--   @SCHEMA@ = the schema owner, e.g. BSPACE
--   @DB_PASSWORD@ = the schema owner password
--   @TSPRE@ = the prefix for tablespace names, e.g. BSP
--   @TSDIR@ = the directory or filename prefix for tablespace datafiles, e.g. BSP
--
-- Run the script in SQL*Plus.
-- Example:
--    sqlplus system/passw0rd@orcl @createTables_BusinessSpace.sql  
-- ------------------------------------------------------------------------------------

------------------------
-- Create tablespaces --
------------------------
CREATE TABLESPACE @TSPRE@BSPACE
  DATAFILE '@TSDIR@BS.dbf' SIZE 300M AUTOEXTEND ON NEXT 100M MAXSIZE UNLIMITED LOGGING;

ALTER USER @SCHEMA@ QUOTA UNLIMITED ON @TSPRE@BSPACE;

-------------------
-- Create tables --
-------------------

	CREATE TABLE @SCHEMA@.BSP_USER_DATA_T (
		  USER_DN                 VARCHAR2(1024) NOT NULL ,
		  EXTENSION               BLOB ,
		  PRIMARY KEY ( USER_DN )
		) TABLESPACE @TSPRE@BSPACE
		LOGGING;
	
GRANT SELECT,INSERT,UPDATE,DELETE ON @SCHEMA@.BSP_USER_DATA_T TO @SCHEMA@;
